import Request from 'lynx-framework/request';
import { BaseUIController } from '../base-ui-controller';
export default class UIController extends BaseUIController {
    getIndex(req: Request): Promise<import("lynx-framework/response").default>;
    mediaPreview(id: any, req: Request): Promise<import("lynx-framework/file.response").default>;
    ajaxRequest(entityName: string, id: any, field: string, req: Request): Promise<{
        data: {
            id: any;
            text: string;
        }[];
        pagination: boolean;
    }>;
    ajaxDetails(entityName: string, id: any, field: string, selection: any, req: Request): Promise<any>;
    performDelete(entityName: string, id: any, req: Request): Promise<import("lynx-framework/response").default>;
    performMultipleDelete(entityName: string, req: Request): Promise<import("lynx-framework/response").default>;
    list(entityName: string, req: Request): Promise<import("lynx-framework/response").default>;
    details(entityName: string, id: any, req: Request): Promise<import("lynx-framework/response").default>;
    nestedView(entityName: string, id: any, nestedKey: string, req: Request): Promise<import("lynx-framework/response").default>;
    deleteNested(entityName: string, id: any, nestedKey: string, req: Request): Promise<import("lynx-framework/response").default>;
    edit(entityName: string, id: any, req: Request): Promise<import("lynx-framework/response").default>;
}
